Bug 76563 - (IDE ALI)installer hangs at initial boot during partition check
Summary: (IDE ALI)installer hangs at initial boot during partition check
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 8.0
Hardware: i586 Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-23 14:35 UTC by Matthew Sale
Modified: 2007-04-18 16:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-09 13:25:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Sale 2002-10-23 14:35:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020827

Description of problem:
installer hangs during partition check on Compaq 1690 laptop.  Redhat 6.2 was
able to install successfully. 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Boot either from CD or boot.img or pcmcia.img
2.
3.
	

Actual Results:  ide-floppy driver 0.99.newide
Partition check:
 hda:

Expected Results:  Should have continued on after this point, instead it hangs

Additional info:

Comment 1 Michael Fulbright 2002-10-23 15:35:56 UTC
Are you referring to the kernel's partition check right at the beginning?

Comment 2 Matthew Sale 2002-10-23 18:16:24 UTC
Yes, its while I'm trying to boot off the install CD so I upgrade.

Thanks,

Matt

Comment 3 Matthew Sale 2002-10-29 12:41:47 UTC
I would *really* like to get this laptop upgraded to RH7.3!  Please can you offer
any suggestions of how to accomplish this?  Is there a way to do this via some
form of "rpm -F" command after I've booted into RH6.2?  Are there any versions
of the boot.img available anywhere that either bypass the partition check, or
do it differently than the RH7.3 boot.img file?  

Thanks,

Matt

Comment 4 Matthew Sale 2002-11-01 03:33:28 UTC
The RedHat 8.0 pcia.img yields the exact same results as 7.3, the computer
freezes at:

PCI No IRQ known for interrupt pin A of device 00:10.0.  Please try using
pci-biosirq.
ALI15X3: chipset revision 32
...
hda: FUJITSU MHR2020AT D, ATA DISK drive
ide: Assuming 33 MHz...
hdc: TOSHIBA DVD-ROM SD-C2202, ...
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: 39070080 sectors (20004 MB) w/2048KiB Cache, CHS-2432/255/63, (U)DMA
hdc: ATAPI 24X DVD-ROM drive, 128kB Cache
Uniform CD-ROM driver Revision 3.12
ide-floppy driver 0.99.newide
Partition check:
 hda:

Comment 5 Matthew Sale 2002-11-01 13:26:34 UTC
The RH 7.0 pcmcia.img boot image works, but of course will not install 7.3 and
I can't download 7.0 via a 40kb connection.

Comment 6 Matthew Sale 2002-11-01 15:51:45 UTC
The RH 7.2 pcmcia.img and pcmciadd.img combination boots successfully, and
lauches anaconda.  It appears to be working!

Comment 7 Matthew Sale 2002-11-02 01:05:28 UTC
OK, 7.3 is loaded, but now it hangs at the same partition check during a 
normal boot. I'm now assuming this is a kernel problem.  Is there a way to 
use the 7.2 boot disk to load a different kernel via a rescue mode?

Thanks,

Matt

Comment 8 Matthew Sale 2002-11-04 20:28:01 UTC
Adding "ide=nodma" seems to fix the problem.  I found this in the RH8.0 online docs.

Comment 9 Alan Cox 2003-06-09 13:25:44 UTC
Should be fixed in RH9 and errata kernels nowdays. The updated ALi driver knows
about specific chip limitations and handles them properly.



Note You need to log in before you can comment on or make changes to this bug.